import java.awt.event.*;

public class C_UpdateKunde implements WindowListener, MouseListener {

	private UI_Kunde w; //View

	private Kunde m; //Model

	// Konstruktor
	public C_UpdateKunde() {
	}

	public UI_Kunde getUI_Kunde() {
		return w;
	}

	public void setUI_Kunde(UI_Kunde uI_Kunde) {
		this.w = uI_Kunde;
	}

	public Kunde getKunde() {
		return m;
	}

	public void setKunde(Kunde kunde) {
		this.m = kunde;
	}

	void starten() {
		
		// Zuerst erstellen...
		w = new UI_Kunde();
		m = new Kunde();
		
		// ... dann befuellen
		w.setC_UpdateKunde(this);
		w.setKunde(m);
		
		// View/GUI starten
		w.starten();
	}

	void abschliessen() {
	}

	// Alle Methoden des Interface WindowListener
	public void windowClosing(WindowEvent we) {
	
		System.exit(0);
	}
	
	public void windowOpened(WindowEvent we) {}
	public void windowActivated(WindowEvent we) {}
	public void windowClosed(WindowEvent we) {}
	public void windowDeactivated(WindowEvent we) {}
	public void windowDeiconified(WindowEvent we) {}
	public void windowIconified(WindowEvent we) {}
	
	// Alle Methoden des Interface MouseListener
	public void mouseClicked(MouseEvent me) {
		
		Object o = me.getSource();
		
		if (o.equals(w.btnAnzeige)) { // wenn Kunde anzeigen geklickt
			
			m.erstelleKunde(w.txtEingabeKunde.getText());
			w.kundeAnzeigen();
			
		}
		else { // wenn Button "Bonitaet anzeigen" geklickt
			
			m.hatBonitaet(new Double(w.txtEingabeBonitaet.getText()).doubleValue());
			w.bonitaetAnzeigen();
		}
	}
	
	public void mouseReleased(MouseEvent me) {}
	public void mousePressed(MouseEvent me) {}
	public void mouseEntered(MouseEvent me) {}
	public void mouseExited(MouseEvent me) {}
}
