import java.sql.*;
import java.util.Collection;

public class Kunde {
	
	private static final  String url ="jdbc:odbc:mvcBeispiel";
	private static final  String DBDriver = "sun.jdbc.odbc.JdbcOdbcDriver";

	private String name;

	private String plz = "";

	private String ort = "";
	
	private double kontostand = 0.0;
	
	private boolean bonitaet = false;

	private Collection uI_Kunde;

	private Collection c_UpdateKunde;

	// Konstruktor
	public Kunde() {
	}
	
	// getter und setter-Methoden
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPlz() {
		return plz;
	}

	public void setPlz(String plz) {
		this.plz = plz;
	}

	public String getOrt() {
		return ort;
	}

	public void setOrt(String ort) {
		this.ort = ort;
	}
	public double getKontostand() {
		return kontostand;
	}

	public void setKontostand(double kontostand) {
		this.kontostand = kontostand;
	}
	
	public boolean getBonitaet() {
			return bonitaet;
	}

	public void setBonitaet(boolean bonitaet) {
		this.bonitaet = bonitaet;
	}
	
	public Collection getUI_Kunde() {
		return uI_Kunde;
	}

	public void setUI_Kunde(Collection uI_Kunde) {
		this.uI_Kunde = uI_Kunde;
	}

	public Collection getC_UpdateKunde() {
		return c_UpdateKunde;
	}

	public void setC_UpdateKunde(Collection c_UpdateKunde) {
		this.c_UpdateKunde = c_UpdateKunde;
	}

	// Business-Methoden
	public void erstelleKunde(String name) {
		
		try {

			String query = "select * from mvcbeispiel where name = '" + name + "';";
			
			Class.forName(DBDriver);
		
		   	Connection con = DriverManager.getConnection(url);
		   	Statement stmt = con.createStatement();
		   	ResultSet rs = stmt.executeQuery(query);

		   	while (rs.next()) {
		   		
		   		this.setName(String.valueOf(rs.getString("name")));
				this.setPlz(String.valueOf(rs.getString("plz")));
				this.setOrt(String.valueOf(rs.getString("ort")));
				Double pufferKontostand = new Double(String.valueOf(rs.getString("kontostand")));
				this.setKontostand(pufferKontostand.doubleValue());
				
				System.out.println("Kunde wurde aus Datenbank ermittelt");
				
				//System.out.println(this.getName() + this.getPlz() + this.getOrt() + this.getKontostand());
		   }

		   stmt.close();
		   con.close();
		}
		catch (ClassNotFoundException cnfe) {
			
			System.out.println(cnfe.getMessage());
		}
		catch (SQLException sqle) {
			
			System.out.println(sqle.getMessage());
		}
	}
	
	void hatBonitaet(double auftWert) {
		
		if((this.kontostand - auftWert) >= 0) { // Bonitaet vorhanden
			
			this.setBonitaet(true);
		}
		else { // keine Bonitaet
			
			this.setBonitaet(false);
		}
	}

	boolean speichere() {
		return false;
	}

	boolean loesche() {
		return false;
	}
}