import java.awt.*;

public class UI_Kunde extends Frame {

	private C_UpdateKunde c;

	private Kunde m;

	// Fensterkomponenten
	Label lblEingabeKunde, lblEingabeBonitaet, lblAusgabeKunde, lblAusgabeBonitaet;
	TextField txtEingabeKunde, txtEingabeBonitaet, txtAusgabeBonitaet;
	TextArea taAusgabeKunde;
	Button btnAnzeige, btnBonitaet;
	
	public UI_Kunde() {
		
		//GUI
		// Fenster
		super("MVC Beispiel: Bonitaet pruefen");
		this.setLocation(200,200);
		this.setSize(300, 340);
		this.setBackground(Color.lightGray);
		this.setLayout(null);

		// Label lblEingabeKunde
		lblEingabeKunde = new Label("Bitte Kunde eingeben:");
		lblEingabeKunde.setLocation(20,30);
		lblEingabeKunde.setSize(250,30);
		this.add(lblEingabeKunde);

		// Textfield txtEingabeKunde
		txtEingabeKunde = new TextField();
		txtEingabeKunde.setLocation(20,60);
		txtEingabeKunde.setSize(250, 20);
		this.add(txtEingabeKunde);

		// Label lblEingabeBonitaet
		lblEingabeBonitaet = new Label("Bitte Warenwert eingeben:");
		lblEingabeBonitaet.setLocation(20,80);
		lblEingabeBonitaet.setSize(250,30);
		this.add(lblEingabeBonitaet);

		// Textfield txtEingabeBonitaet
		txtEingabeBonitaet = new TextField();
		txtEingabeBonitaet.setLocation(20,110);
		txtEingabeBonitaet.setSize(250, 20);
		this.add(txtEingabeBonitaet);

		// Button btnAnzeigen
		btnAnzeige = new Button("Kunde anzeigen!");
		btnAnzeige.setLocation(20,140);
		btnAnzeige.setSize(100,30);
		this.add(btnAnzeige);

		// Button btnBonitaet
		btnBonitaet = new Button("Bonitt prfen!");
		btnBonitaet.setLocation(170,140);
		btnBonitaet.setSize(100,30);
		this.add(btnBonitaet);

		// Label lblAusgabeKunde
		lblAusgabeKunde = new Label("Kunde:");
		lblAusgabeKunde.setLocation(20,180);
		lblAusgabeKunde.setSize(150,30);
		this.add(lblAusgabeKunde);

		// Label lblAusgabeBonitaet
		lblAusgabeBonitaet = new Label("Bonitaet:");
		lblAusgabeBonitaet.setLocation(180,180);
		lblAusgabeBonitaet.setSize(100,30);
		this.add(lblAusgabeBonitaet);

		// TextArea taAusgabeKunde
		taAusgabeKunde = new TextArea();
		taAusgabeKunde.setLocation(20,210);
		taAusgabeKunde.setSize(150, 90);
		this.add(taAusgabeKunde);

		// Textfield txtAusgabeBonitaet
		txtAusgabeBonitaet = new TextField();
		txtAusgabeBonitaet.setLocation(180,210);
		txtAusgabeBonitaet.setSize(100, 20);
		this.add(txtAusgabeBonitaet);
	}

	public C_UpdateKunde getC_UpdateKunde() {
		return c;
	}

	public void setC_UpdateKunde(C_UpdateKunde c_UpdateKunde) {
		this.c = c_UpdateKunde;
	}

	public Kunde getKunde() {
		return m;
	}

	public void setKunde(Kunde kunde) {
		this.m = kunde;
	}

	void starten() {
		
		// Listener in GUI einfuegen - von Fenstererstellung getrennt
		btnAnzeige.addMouseListener(c);
		btnBonitaet.addMouseListener(c);
		this.addWindowListener(c);
		
		this.setVisible(true);
		txtEingabeKunde.requestFocus();
	}

	public void kundeAnzeigen() {
		
		// TextArea und Textfelder leeren
		txtEingabeBonitaet.setText("");
		taAusgabeKunde.setText("");
		txtAusgabeBonitaet.setText("");
		String ausgabe = "Name: " + m.getName() + "\n" + "PLZ: " + m.getPlz() + "\n" 
			+ "Ort: " + m.getOrt() + "\n" + "Kontostand: " + m.getKontostand();
		
		taAusgabeKunde.setText(ausgabe); 
		txtEingabeBonitaet.requestFocus();
	}
	
	public void bonitaetAnzeigen() {
		
		txtAusgabeBonitaet.setText("");
		
		if (m.getBonitaet() == true) {
			
			txtAusgabeBonitaet.setText("Ja");
		}
		else {
			
			txtAusgabeBonitaet.setText("Nein");
		}
	}
	
	boolean pruefen() {
		return false;
	}

}
