import java.awt.event.*;

public class C_Uebung2Controller implements MouseListener, WindowListener{

	// Partner
	UI_Uebung2View w;
	Text_Uebung2Model m;
	
	public C_Uebung2Controller() {
		
		// leer
	}
	
	// Getter/Setter Methoden
	void setW(UI_Uebung2View view) {
		
		this.w = view;
	}
	
	UI_Uebung2View getW() {
		
		return w;
	}
	
	void setM(Text_Uebung2Model model) {
		
		this.m = model;
	}
	
	Text_Uebung2Model getM() {
		
		return m;
	}
	
	void starten() {
		
		w = new UI_Uebung2View();
		m = new Text_Uebung2Model();
		
		// View
		w.setC(this); // Controller registrieren
		w.setM(m);    // View registrieren
		w.starten();
		
		// Model
		m.setC(this); // Controller registrieren
		m.setW(w);    // View registrieren
	}
	
	//Ereignisbehandlung
	// Alle Methoden des Interface WindowListener
	public void windowClosing(WindowEvent we) {
	
		System.exit(0);
	}
	
	public void windowOpened(WindowEvent we) {}
	public void windowActivated(WindowEvent we) {}
	public void windowClosed(WindowEvent we) {}
	public void windowDeactivated(WindowEvent we) {}
	public void windowDeiconified(WindowEvent we) {}
	public void windowIconified(WindowEvent we) {}
	
	// Alle Methoden des Interface MouseListener
	public void mouseClicked(MouseEvent me) {
		
		String eingabe = w.txtEingabe.getText();	
		m.setZeichenkette(eingabe);
		
		Object o = me.getSource();
		
		if(o.equals(w.btnGrossbuchstaben)){
			
			m.gross();
		}
		else {
			
			if(o.equals(w.btnKleinbuchstaben)) {
				
				m.klein();
			}
			else {
				
				m.laenge();
			}
		}
		
		w.anzeigen();
	}
	
	public void mouseReleased(MouseEvent me) {}
	public void mousePressed(MouseEvent me) {}
	public void mouseEntered(MouseEvent me) {}
	public void mouseExited(MouseEvent me) {}
}
