import java.awt.*;

public class UI_Uebung2View extends Frame{
	
	// Partner
	C_Uebung2Controller c;
	Text_Uebung2Model m;
	
	TextField txtEingabe, txtAusgabe;
	Label lblEingabe, lblAusgabe;
	Button btnGrossbuchstaben, btnKleinbuchstaben, btnLaenge;
	
	public UI_Uebung2View() {
	
		// Fenster
		super("MVC Uebung 2");
		this.setLocation(200,200);
		this.setSize(400,300);
		this.setBackground(Color.lightGray);
		this.setLayout(null);
		
		// Label lblEingabe
		lblEingabe = new Label("Bitte Zeichenfolge eingeben:");
		lblEingabe.setLocation(20,30);
		lblEingabe.setSize(180,30);
		this.add(lblEingabe);
		
//		TextField txtEingabe
		txtEingabe = new TextField("");
		txtEingabe.setLocation(20,60);
		txtEingabe.setSize(180,20);
		this.add(txtEingabe);
			 
//		Button btnGrossbuchstaben
		btnGrossbuchstaben = new Button("GROSSBUCHSTABEN");
		btnGrossbuchstaben.setLocation(20,100);
		btnGrossbuchstaben.setSize(140,30);
		this.add(btnGrossbuchstaben);
		
//		Button btnKleinbuchstaben
		btnKleinbuchstaben = new Button("kleinbuchstaben");
		btnKleinbuchstaben.setLocation(170,100);
		btnKleinbuchstaben.setSize(120,30);
		this.add(btnKleinbuchstaben);
		
//		Button btnLaenge
		btnLaenge = new Button("Laenge");
		btnLaenge.setLocation(300,100);
		btnLaenge.setSize(80,30);
		this.add(btnLaenge);
		
		// Label lblAusgabe
		lblAusgabe = new Label("Zeichenfolge verarbeitet:");
		lblAusgabe.setLocation(20,150);
		lblAusgabe.setSize(180,30);
		this.add(lblAusgabe);
		
//		TextField txtAusgabe
		txtAusgabe = new TextField("");
		txtAusgabe.setLocation(20,180);
		txtAusgabe.setSize(180,20);
		this.add(txtAusgabe);
	}
	
	// Getter/Setter Methoden
	void setC(C_Uebung2Controller controller) {
		
		this.c = controller;
	}
	
	C_Uebung2Controller getc() {
		
		return c;
	}
	
	void setM(Text_Uebung2Model model) {
		
		this.m = model;
	}
	
	Text_Uebung2Model getM() {
		
		return m;
	}
	
	void starten() {
		
		btnGrossbuchstaben.addMouseListener(this.c);
		btnKleinbuchstaben.addMouseListener(this.c);
		btnLaenge.addMouseListener(this.c);
		this.addWindowListener(this.c);
		
		this.setVisible(true);
	}
	
	void anzeigen() {
		
		String ausgabe = m.getZeichenkette();
		
		txtAusgabe.setText(ausgabe);
		
		txtEingabe.requestFocus();
	}
}
